Subject: bug#74672: closed (Re: [PATCH 2/2] Add ghostscript as native input.)

From: [email-masked] (GNU bug Tracking System)
Date: Fri, 28 Mar 2025 21:44:02 +0000

Your bug report

#74672: Package hypre build failure for output "doc"

which was filed against the guix package, has been closed.

The explanation is attached below, along with your original report.
If you require more details, please reply to [email-masked].

-- 
74672: https://debbugs.gnu.org/cgi/bugreport.cgi?bug=74672
GNU Bug Tracking System
Contact [email-masked] with problems

Subject: Re: [PATCH 2/2] Add ghostscript as native input.
From: Andreas Enge <[email-masked]>
To: Luca Cirrottola <[email-masked]>
Cc: [email-masked]
Date: Fri, 28 Mar 2025 22:43:09 +0100
List-Id: <debbugs-submit.debbugs.gnu.org>

Hello Luca,

Am Mon, Mar 24, 2025 at 06:13:43PM +0100 schrieb Luca Cirrottola:
> When adding ghostscript, nonewithstanding the fontconfig error, I do not get the reproducibility error anymore when building with `--no-grafts --check` (on my machine). Can you check it please?
> Still, I notice that building the doc in the 2.32.0 version takes much much longer than before.

thanks for the patches! I have pushed them, after adapting the commit
messages to the GNU standards, to master as commits
   aedbde9052a0de2689b3bbc030bee957d3e9061b and
   c31662f7294b194663bc521358b01c3a7d7e4e27

The fontconfig error was a bit tricky, since it appeared inside an execution
of doxygen through make. A little Internet search revealed that fontconfig
uses the home directory to write a cache, which is set to
/homeless-shelter in the builder. So I added a line setting it to the
current directory. Hopefully it works, at least the error message has
disappeared.

Building the doc takes some time, but not shockingly so.

I am closing the bug, as my impression is that everything is fixed.

If you notice a problem, please do not hesitate to open a new issue.

Andreas

Subject: Package hypre build failure for output "doc"
From: Luca Cirrottola <[email-masked]>
To: [email-masked]
Date: Tue, 3 Dec 2024 19:13:53 +0100 (CET)
List-Id: <debbugs-submit.debbugs.gnu.org>

Hello, 

I am getting failures for the package "hypre", during the building of its "doc" output. I have last tested it on 32d1dfb5545bb01c9d8d7a2465f13f2f379dd96e, and the error I get is of the form: 

error: Problems running gs. Check your installation! 

(repeated many several times) 
It seems to be related to doxygen, and I can reproduce it if I keep the build directory (as in [ https://guix.gnu.org/manual/devel/en/html_node/Debugging-Build-Failures.html | https://guix.gnu.org/manual/devel/en/html_node/Debugging-Build-Failures.html ] ) and I manually try to build the ref-manual. 
That said, I have not been able to fix the problem, so I ask for help in case the original package authors have a hint. 

P.S. When the package does build on certain machines, I get errors if I pass the --check option: 

guix build: error: derivation `/gnu/store/1i8b07ll0m5j2p2m7z0wcxqgp407b5qc-hypre-2.20.0.drv' may not be deterministic: output `/gnu/store/g8ci2qjbz49aq2zwn8hbl3dl44d30rfg-hypre-2.20.0-doc' differs 

Thanks, 
Luca